IF OBJECT_ID('[CreateXmlAttribute]') IS NOT NULL DROP FUNCTION [CreateXmlAttribute]
GO

CREATE FUNCTION [CreateXmlAttribute]
(
	@Attribute_Name NVARCHAR(50),
	@Attribute_Value NVARCHAR(MAX)
) RETURNS NVARCHAR(MAX)
AS
BEGIN

	IF @Attribute_Name IS NULL OR @Attribute_Value IS NULL
		RETURN NULL

	DECLARE @TempElement NVARCHAR(MAX)
	SET @TempElement = CAST((SELECT [@A] = @Attribute_Value FOR XML PATH) AS NVARCHAR(MAX))

	DECLARE @QuoteIndex1 INT
	SET @QuoteIndex1 = CHARINDEX('"', @TempElement)

	DECLARE @QuoteIndex2 INT
	SET @QuoteIndex2 = CHARINDEX('"', @TempElement, @QuoteIndex1 + 1)

	RETURN @Attribute_Name + '=' + SUBSTRING(@TempElement, @QuoteIndex1, @QuoteIndex2 - @QuoteIndex1 + 1)

END
GO