IF OBJECT_ID('[DockerBlobs_Usage]') IS NOT NULL DROP VIEW [DockerBlobs_Usage]
GO

CREATE VIEW [DockerBlobs_Usage]
AS
	SELECT DR.[Feed_Id],
	       DB.[DockerBlob_Id],
		   DB.[Blob_Digest],
	       DI.[DockerImage_Id],
		   DI.[Image_Digest],
		   DR.[DockerRepository_Id],
		   DR.[Repository_Name]
	  FROM [DockerBlobs] DB
	       INNER JOIN [DockerImageLayers] DIL
		           ON DIL.[DockerBlob_Id] = DB.[DockerBlob_Id]
		   INNER JOIN [DockerImages] DI
		           ON DI.[DockerImage_Id] = DIL.[DockerImage_Id]
		   INNER JOIN [DockerRepositories] DR
		           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]

UNION ALL

	SELECT DR.[Feed_Id],
	       DB.[DockerBlob_Id],
		   DB.[Blob_Digest],
	       DI.[DockerImage_Id],
		   DI.[Image_Digest],
		   DR.[DockerRepository_Id],
		   DR.[Repository_Name]
	  FROM [DockerBlobs] DB
	       INNER JOIN [DockerImages] DI
		           ON DI.[ContainerConfigBlob_Id] = DB.[DockerBlob_Id]
   		   INNER JOIN [DockerRepositories] DR
		           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]

GO
