EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetRepository',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerRepositories_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker repository that matches the specified criteria.'
GO

IF OBJECT_ID('[DockerImages_GetRepository]') IS NOT NULL DROP PROCEDURE [DockerImages_GetRepository]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetRepository]
(
	@Repository_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerRepositories_Extended]
	 WHERE @Repository_Id = [DockerRepository_Id]

END
GO

GRANT EXECUTE ON [DockerImages_GetRepository] TO [ProGetUser_Role]
GO