EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageUsage_GetUsageByFeed',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageUsage',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets usage information for the specified package.'
GO

IF OBJECT_ID('[PackageUsage_GetUsageByFeed]') IS NOT NULL DROP PROCEDURE [PackageUsage_GetUsageByFeed]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageUsage_GetUsageByFeed]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT PU.*
	  FROM [PackageUsage] PU
	       INNER JOIN [FeedPackageContainerScanners] FPCS
		           ON FPCS.[PackageContainerScanner_Id] = PU.[PackageContainerScanner_Id]
		   INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = FPCS.[Feed_Id]
		   INNER JOIN [Packages_Combined] P
				   ON P.[Feed_Id] = F.[Feed_Id]
					   AND PU.[PackageType_Name] = F.[FeedType_Name]
					   AND PU.[Package_Name] = P.[Package_Id] COLLATE Latin1_General_CS_AS
					   AND PU.[Package_Version] = P.[Version_Text]
	 WHERE FPCS.[Feed_Id] = @Feed_Id
	   AND PU.[PackageType_Name] = F.[FeedType_Name]
	ORDER BY p.Download_Count DESC

END
GO

GRANT EXECUTE ON [PackageUsage_GetUsageByFeed] TO [ProGetUser_Role]
GO